Debian Wheezy and Wi Fi

Автор SugizoUfa, 14 октября 2012, 08:47:57

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

SugizoUfa

Доброе утро) такая проблема перешел с 6 Дебиана на 7 и возникла проблема с wi fi, адаптер распознается, драйвер установлен но никак не подключается(в чем дело?
  •  

ihammers

Цитата: SugizoUfa от 14 октября 2012, 08:47:57
Доброе утро) такая проблема перешел с 6 Дебиана на 7 и возникла проблема с wi fi, адаптер распознается, драйвер установлен но никак не подключается(в чем дело?
Систему обновляли или устанавливали с чистого листа?  Если устанавливали, то не все пакеты установили.  Какая модель адаптера, что в логах при его подключении.
~$ grep -i error /var/log/messages
~$ dpkg -l | grep -i firm
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
  •  

SugizoUfa

#2
Устанавливал с чистого листа скачал образ бетки на флеху и установил так сейчас скину логи:
Открыть содержимое (спойлер)
Открыть содержимое (спойлер)
root@debian:/home/orochi# grep -i error /var/log/messages
Oct 13 00:40:36 debian kernel: [    0.960344]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 00:40:36 debian kernel: [    7.995948] ath3k: probe of 1-1.1:1.0 failed with error -5
Oct 13 00:40:36 debian kernel: [    8.391273] ACPI Error: Needed [Buffer/String/Package], found [Integer] f737a248 (20110623/exresop-590)
Oct 13 00:40:36 debian kernel: [    8.391285] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [    8.391333] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [    8.391373] ACPI Error: Needed [Buffer/String/Package], found [Integer] f737a248 (20110623/exresop-590)
Oct 13 00:40:36 debian kernel: [    8.391383] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [    8.391390] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [    8.391438] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [    8.391445] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 00:40:36 debian kernel: [   12.380742] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 01:23:52 debian kernel: [    0.960345]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 01:23:52 debian kernel: [    8.484128] ACPI Error: Needed [Buffer/String/Package], found [Integer] f75cc5a8 (20110623/exresop-590)
Oct 13 01:23:52 debian kernel: [    8.484137] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    8.484187] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    8.484230] ACPI Error: Needed [Buffer/String/Package], found [Integer] f75cc5a8 (20110623/exresop-590)
Oct 13 01:23:52 debian kernel: [    8.484240] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    8.484247] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    8.484294] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    8.484299] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:23:52 debian kernel: [    9.124608] ath3k: probe of 1-1.1:1.0 failed with error -5
Oct 13 01:23:52 debian kernel: [   12.077061] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 01:24:33 debian kernel: [   58.660055] colord-sane[4041]: segfault at 19 ip b560147a sp b55d4fb8 error 6 in libdbus-1.so.3.7.2[b55d6000+49000]
Oct 13 01:42:19 debian kernel: [    0.968100]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 01:42:19 debian kernel: [    8.021628] ACPI Error: Needed [Buffer/String/Package], found [Integer] f3754188 (20110623/exresop-590)
Oct 13 01:42:19 debian kernel: [    8.021639] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.021682] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.021715] ACPI Error: Needed [Buffer/String/Package], found [Integer] f3754188 (20110623/exresop-590)
Oct 13 01:42:19 debian kernel: [    8.021723] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.021729] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.021768] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.021773] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 01:42:19 debian kernel: [    8.578964] ath3k: probe of 2-1.1:1.0 failed with error -5
Oct 13 01:42:19 debian kernel: [   11.729521] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 03:18:17 debian kernel: [ 5773.037572] colord-sane[4082]: segfault at 2e040004 ip b4de5472 sp b5605fb8 error 6 in libdbus-1.so.3.7.2[b4dba000+49000]
Oct 13 08:13:41 debian kernel: [    0.960343]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 08:13:41 debian kernel: [    8.267543] ath3k: probe of 1-1.1:1.0 failed with error -5
Oct 13 08:13:41 debian kernel: [    8.319126] ACPI Error: Needed [Buffer/String/Package], found [Integer] f7243968 (20110623/exresop-590)
Oct 13 08:13:41 debian kernel: [    8.319135] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [    8.319170] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [    8.319199] ACPI Error: Needed [Buffer/String/Package], found [Integer] f7243968 (20110623/exresop-590)
Oct 13 08:13:41 debian kernel: [    8.319206] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [    8.319211] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [    8.319244] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [    8.319248] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:13:41 debian kernel: [   11.202551] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 08:41:29 debian kernel: [ 1684.014898] colord-sane[4075]: segfault at 4 ip b4ded472 sp b560dfb8 error 6 in libdbus-1.so.3.7.2[b4dc2000+49000]
Oct 13 08:42:02 debian kernel: [    0.960102]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 08:42:02 debian kernel: [    7.608026] ACPI Error: Needed [Buffer/String/Package], found [Integer] f36d5cc8 (20110623/exresop-590)
Oct 13 08:42:02 debian kernel: [    7.608036] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    7.608076] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    7.608108] ACPI Error: Needed [Buffer/String/Package], found [Integer] f36d5cc8 (20110623/exresop-590)
Oct 13 08:42:02 debian kernel: [    7.608116] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    7.608120] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    7.608154] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    7.608159] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 08:42:02 debian kernel: [    8.117156] ath3k: probe of 2-1.1:1.0 failed with error -5
Oct 13 08:42:02 debian kernel: [   11.348669] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 09:04:40 debian kernel: [    0.964102]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 13 09:04:40 debian kernel: [    8.223154] ACPI Error: Needed [Buffer/String/Package], found [Integer] f36b3f38 (20110623/exresop-590)
Oct 13 09:04:40 debian kernel: [    8.223163] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.223206] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.223236] ACPI Error: Needed [Buffer/String/Package], found [Integer] f36b3f38 (20110623/exresop-590)
Oct 13 09:04:40 debian kernel: [    8.223243] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.223247] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.223281] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.223286] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 13 09:04:40 debian kernel: [    8.375227] ath3k: probe of 2-1.1:1.0 failed with error -5
Oct 13 09:04:40 debian kernel: [   11.468875] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
Oct 13 09:26:41 debian kernel: [ 1337.247829] colord-sane[3989]: segfault at 21 ip b4dd547a sp b55f5fb8 error 6 in libdbus-1.so.3.7.2[b4daa000+49000]
Oct 14 01:25:00 debian kernel: [    0.972096]  pci0000:00: ACPI _OSC request failed (AE_ERROR), returned control mask: 0x1d
Oct 14 01:25:00 debian kernel: [    8.295238] ACPI Error: Needed [Buffer/String/Package], found [Integer] f70cde48 (20110623/exresop-590)
Oct 14 01:25:00 debian kernel: [    8.295251] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.295302] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.295344] ACPI Error: Needed [Buffer/String/Package], found [Integer] f70cde48 (20110623/exresop-590)
Oct 14 01:25:00 debian kernel: [    8.295355] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.295362] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_OPERAND_TYPE (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.295414] ACPI Error: Method parse/execution failed [\_SB_.PCI0.GFX0._DSM] (Node f3c4b8f0), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.295421] ACPI Error: Method parse/execution failed [\_SB_.PCI0.PEG0.GFX0._DSM] (Node f3c59920), AE_AML_BUFFER_LIMIT (20110623/psparse-536)
Oct 14 01:25:00 debian kernel: [    8.537170] ath3k: probe of 1-1.1:1.0 failed with error -5
Oct 14 01:25:00 debian kernel: [   11.780221] EXT4-fs (sda3): re-mounted. Opts: errors=remount-ro
[свернуть]
[свернуть]

root@debian:/home/orochi# dpkg -l | grep -i firm
ii  ipxe-qemu                            1.0.0+git-20120202.f6840ba-3       all          PXE boot firmware - ROM images for qemu

Adapter:
03:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
При попытке поднять wlan с помощью
ifup wlan0 выдает сообщение: Network is down
  •  

ihammers

Цитата: SugizoUfa от 14 октября 2012, 09:35:24Adapter:
03:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
Установите firmware-atheros это должно помочь.

Исправьте ваш пост, логи спрячьте под спойлер (значок Sp).
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
  •  

SugizoUfa

  •  

ihammers

Цитата: SugizoUfa от 14 октября 2012, 10:03:32
http://packages.debian.org/ru/sid/kernel/firmware-atheros
вот этот пакет подойдет?
Да, но можно установить пакет из wheezy, так как версии пакетов одинаковые.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
  •  

SugizoUfa

можно ссылку с маном как это сделать?
  •  

ihammers

Цитата: SugizoUfa от 14 октября 2012, 10:33:01
можно ссылку с маном как это сделать?
Проверить репозитарии в /etc/apt/source.list
### Wheezy
deb http://ftp.ru.debian.org/debian wheezy main contrib non-free
deb-src http://ftp.ru.debian.org/debian wheezy main contrib non-free

deb http://security.debian.org/debian-security wheezy/updates main contrib non-free
deb-src http://security.debian.org/debian-security wheezy/updates main contrib non-free

Потом обновить список пакетов и установить пакет:
apt-get update
apt-get install firmware-atheros
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
  •  

SugizoUfa

Не получается установить пакет((( интернета нету на ноутбуке(((
  •  

Malaheenee

Просто где-нибудь скачать deb под Вашу архитектуру и установить:
dpkg -i имя_пакета.deb
Все мы где-то, когда-то и в чем-то были новичками.
  •  

SugizoUfa

странно, не понимаю почему на значке Network во вкладке wireless написано unmanaged
  •  

vladimir_ar

Скорее всего потому, что устройство видно, но, по каким либо причинам, недоступно для управления. Например, нет драйвера или драйвер не тот.

Сообщение объединено: 14 октября 2012, 22:29:06

Или им уже управляет кто-то другой - если интерфейс прописан в /etc/network/interfaces, то менеджер сети им управлять не сможет.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
  •  

SugizoUfa

вот что выдает при попытке установить wicd:
Открыть содержимое (спойлер)
root@debian:/home/orochi# dpkg -i wicd_1.7.2.4-2_all.deb
(Reading database ... 143543 files and directories currently installed.)
Preparing to replace wicd 1.7.2.4-2 (using wicd_1.7.2.4-2_all.deb) ...
Unpacking replacement wicd ...
dpkg: dependency problems prevent configuration of wicd:
wicd depends on wicd-daemon (= 1.7.2.4-2); however:
  Package wicd-daemon is not installed.
wicd depends on wicd-gtk (= 1.7.2.4-2) | wicd-curses (= 1.7.2.4-2) | wicd-cli (= 1.7.2.4-2) | wicd-client; however:
  Package wicd-gtk is not installed.
  Package wicd-curses is not installed.
  Package wicd-cli is not installed.
  Package wicd-client is not installed.

dpkg: error processing wicd (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
wicd
[свернуть]
  •  

qupl

SugizoUfa, он намекает, что этому пакету требуются другие для удовлетворения зависимостей.